gconf-cfg.sh 579 B

1234567891011121314151617181920212223
  1. #!/bin/sh
  2. # SPDX-License-Identifier: GPL-2.0
  3. PKG="gtk+-2.0 gmodule-2.0 libglade-2.0"
  4. if ! pkg-config --exists $PKG; then
  5. echo >&2 "*"
  6. echo >&2 "* Unable to find the GTK+ installation. Please make sure that"
  7. echo >&2 "* the GTK+ 2.0 development package is correctly installed."
  8. echo >&2 "* You need $PKG"
  9. echo >&2 "*"
  10. exit 1
  11. fi
  12. if ! pkg-config --atleast-version=2.0.0 gtk+-2.0; then
  13. echo >&2 "*"
  14. echo >&2 "* GTK+ is present but version >= 2.0.0 is required."
  15. echo >&2 "*"
  16. exit 1
  17. fi
  18. echo cflags=\"$(pkg-config --cflags $PKG)\"
  19. echo libs=\"$(pkg-config --libs $PKG)\"